<template>
  <VNavigationDrawer clipped app expand-on-hover rail>
    <v-list>
      <v-list-item
        prepend-avatar="https://randomuser.me/api/portraits/women/14.jpg"
        title="Lara Laurens"
        subtitle="lara@example.com"
      >
        <template v-slot:append>
          <v-btn size="small" variant="text" icon="mdi-menu-down"></v-btn>
        </template>
      </v-list-item>
      <v-list-item class="mt-4 mb-3">
        <PopupDialogVue />
      </v-list-item>
    </v-list>

    <v-divider></v-divider>

    <v-list :lines="false" density="compact" nav>
      <v-list-item
        v-for="(item, i) in items"
        :key="i"
        :value="item"
        active-color="primary"
        router
        :to="item.route"
      >
        <template v-slot:prepend>
          <v-icon :icon="item.icon"></v-icon>
        </template>

        <v-list-item-title v-text="item.text"></v-list-item-title>
      </v-list-item>
    </v-list>
  </VNavigationDrawer>
</template>

<script setup lang="ts">
import { ref } from "vue";
import PopupDialogVue from "./PopupDialog.vue";

// icon names can be found at https://materialdesignicons.com/
const items = ref([
  { text: "Home", icon: "mdi-home", route: "/" },
  {
    text: "Projects",
    icon: "mdi-clipboard-check-multiple-outline",
    route: "/projects",
  },
  { text: "Team", icon: "mdi-account-multiple", route: "/team" },
  { text: "About", icon: "mdi-information-outline", route: "/about" },
]);

//const props = defineProps({})
// const emits = defineEmits(["selectOption"]);

// const selectOption = (isColor: boolean) => {
//   emits("selectOption", isColor);
// };
</script>
